#! /bin/bash
########################################################################
# livarp-xs-maker
# turn livarp into livarp-xs in one script
# launched by ~/bin/remove-sessions livarp-xs-maker
########################################################################
source ~/.bashrc
# conditions ###########################################################
# this script is not available in live-session
# ---------------------------------------------------------------------#
if [ -d /home/human ]; then
    echo "this script is not available in live session" | dzen2 -x 0 -y 0 -bg 'orange' -fg 'white' -p 5 &
    exit
fi
# are you root ?
# ---------------------------------------------------------------------#
if [ "`whoami`" != "root" ]; then
    echo "this script need admin power - launch it as root" | dzen2 -x 0 -y 0 -bg 'orange' -fg 'white' -p 5 &
    exit
fi
# run only once
# ---------------------------------------------------------------------#
if [ -e /usr/share/livarp/livarp-xs ]; then
    echo "this script has been executed... you are in livarp-xs :)" | dzen2 -x 0 -y 0 -bg 'orange' -fg 'white' -p 5 &
    exit
fi

# livarp-xs-maker description & confirmation ###########################
# ---------------------------------------------------------------------#
clear
echo ""
echo -e "${cyan}>>>   Welcome to livarp-xs-maker $USER   <<<"
echo -e "--------------------------------------------$NC"
echo -e "${red}WARNING"
echo -e "this script will delete and uninstall the session_selector"
echo -e "and all files and binary from UNselected session $NC"
echo -e ""
echo -e "it will also backup and replace your ~/.xinitrc"
echo -e "to start the selected session in auto-mode"
echo -e ""
echo -e "make sure to be logged on the session you want to keep"
echo -e "or your x-session will crash"
echo -e ""
echo -e "you can remove sessions one-by-one from /home/$USER/bin/remove-sessions/"
echo -e ""
echo -n "do you want to continue livarp-xs-maker ? [Y|n]"
read answer
if [ "$answer" == "n" ] || [ "$answer" == "N" ]; then
    echo ""
    echo "script aborted"
    sleep 3s && exit
fi

# session selection ####################################################
# ---------------------------------------------------------------------#
clear
echo -e ""
echo -e "${cyan}the x-session selection"
echo -e "---------------------$NC"
echo -e "note: dwm & dwm_reloaded will be linked"
echo -e ""
echo -e "please type the x-session-name you want to keep"
echo -e "all other sessions files will be removed"
echo -e "you will be prompted on each session-remove action"
echo -e ""
echo -e "session format :"
echo -e "vtwm - dwm - ratpoison - wmfs - spectrwm"
echo -e "evilwm - openbox - pekwm - awesome - fluxbox"
echo -e ""
echo -n "type 1 session-name here :"
read sselect

# set scripts dir & username
# --------------------------
DIR="/usr/share/livarp/rmss"
INITDIR="/usr/share/livarp/rmss/xinitrc"
HUMAN=`w -h | tail -n1 | awk '{print $1}'`

# remove unselected sessions ###########################################
# ---------------------------------------------------------------------#
if [ -n "${sselect}" ]; then
    rm /usr/local/bin/dmenu-start.sh
    case $sselect in
        vtwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_vtwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-vtwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        dwm)
            $DIR/remove_vtwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_dwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-dwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        ratpoison)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_ratpoison $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-ratpoison :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        wmfs)
            $DIR/remove_dwm.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_wmfs $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-wmfs :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        spectrwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_spectrwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-spectrwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        evilwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_evilwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-evilwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        openbox)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_vtwm.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_openbox $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-openbox :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        pekwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_pekwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-pekwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        awesome)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_awesome $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-awesome :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
        fluxbox)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_fluxbox $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "end of the script -- welcome to livarp-xs-fluxbox :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} end of the script$NC"
            sleep 3s
            ;;
    esac
fi

exit 0
# eof ##################################################################
